Gtk2::Gdk::Event::OwnerChange(3)

NAME
Gtk2::Gdk::Event::OwnerChange

HIERARCHY
  Gtk2::Gdk::Event
  +----Gtk2::Gdk::Event::OwnerChange

METHODS

  nativewindow = $event->owner ($newvalue=0)

•   $newvalue (Gtk2::Gdk::NativeWindow)

Since: gtk+ 2.6

  ownerchange = $event->reason ($newvalue=0)

•   $newvalue (Gtk2::Gdk::OwnerChange)

Since: gtk+ 2.6

  atom = $event->selection ($newvalue=0)

•   $newvalue (Gtk2::Gdk::Atom)

Since: gtk+ 2.6

  unsigned = $event->selection_time ($newvalue=0)

•   $newvalue (unsigned)

Since: gtk+ 2.6

ENUMS AND FLAGS

  enum Gtk2::Gdk::OwnerChange

•   'new-owner' / 'GDK_OWNER_CHANGE_NEW_OWNER'

•   'destroy' / 'GDK_OWNER_CHANGE_DESTROY'

•   'close' / 'GDK_OWNER_CHANGE_CLOSE'

SEE ALSO
Gtk2

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.